Bug 490466 - virt-manager displays incorrect number of vcpus
virt-manager displays incorrect number of vcpus
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-03-16 11:36 EDT by Dominick Grift
Modified: 2009-04-13 10:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 10:18:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominick Grift 2009-03-16 11:36:54 EDT
Description of problem:
virt-manager installation wizard only allows for 1 cpu 

Version-Release number of selected component (if applicable):
virt-manager.x86_64                     0.7.0-1.fc11

How reproducible:
start virt-manager, configure a new instance.
specify to use 2 cpus
look into the summary and notice it only uses 1 cpu
Comment 1 Cole Robinson 2009-03-16 11:51:25 EDT
Thanks for the report, I've noticed this myself. Strange thing is it all works fine on f9 and f10 with the same virt-manager version. I think it's some different gtk related behavior that's causing the issue.
Comment 2 Mark McLoughlin 2009-03-25 13:09:03 EDT
So, the guest does actually have 2 vcpus, but virt-manager is only showing a single one?
Comment 3 Dominick Grift 2009-03-25 13:17:58 EDT
No, The host has 4 cpus and i can only assign 1 to a guest
Comment 4 Daniel Berrange 2009-03-25 14:57:02 EDT
Please tell us more about what options you selected during the install wizard. In particular for the 'hypervisor' option did you select 'qemu', 'kqemu' or 'kvm'.   QEMU restricts guests to 16 vcpus, kqemu only allows 1 vcpu, and kvm allows a variable number according to a kenrel ioctl() setting. Also please attach the $HOME/.virt-manager/virt-manager.log file after running through the install wizard.
Comment 5 Dominick Grift 2009-03-25 15:50:57 EDT
kvm

[Fri, 20 Mar 2009 09:23:55 virt-manager 3809] DEBUG (connection:170) Got physical net device /org/freedesktop/Hal/devices/net_2a_c5_ee_b7_ca_e9
[Fri, 20 Mar 2009 09:23:55 virt-manager 3809] DEBUG (connection:230) Adding net device vnet0 2a:c5:ee:b7:ca:e9 /sys/class/net/vnet0 (bridge: virbr0)
[Fri, 20 Mar 2009 09:23:55 virt-manager 3809] DEBUG (connection:202) Checking for VLANs on /sys/class/net/vnet0
[Fri, 20 Mar 2009 09:23:55 virt-manager 3809] DEBUG (connection:170) Got physical net device /org/freedesktop/Hal/devices/net_2a_c5_ee_b7_ca_e9
[Fri, 20 Mar 2009 09:23:55 virt-manager 3809] DEBUG (connection:230) Adding net device vnet0 2a:c5:ee:b7:ca:e9 /sys/class/net/vnet0 (bridge: virbr0)
[Fri, 20 Mar 2009 09:23:55 virt-manager 3809] DEBUG (connection:202) Checking for VLANs on /sys/class/net/vnet0
[Fri, 20 Mar 2009 09:23:58 virt-manager 3809] DEBUG (manager:495) About to append vm: mybookvolume2
[Fri, 20 Mar 2009 09:23:58 virt-manager 3809] DEBUG (manager:483) VM mybookvolume2 started
[Fri, 20 Mar 2009 09:23:58 virt-manager 3809] DEBUG (Guest:638) Created guest, looking to see if it is running
[Fri, 20 Mar 2009 09:23:58 virt-manager 3809] DEBUG (Guest:651) Saving XML boot config:
<domain type='kvm'>
  <name>mybookvolume2</name>
  <currentMemory>1048576</currentMemory>
  <memory>1048576</memory>
  <uuid>1d156c5e-e511-77ee-66f9-287f4f1579fa</uuid>
  <os>
    <type arch='x86_64'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/><apic/><pae/>
  </features>
  <clock offset="utc"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <vcpu>1</vcpu>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <console type='pty'/>
    <disk type='block' device='disk'>
      <source dev='/dev/mapper/vg_mybook-lv_volume2'/>
      <target dev='vda' bus='virtio'/>
    </disk>
    <disk type='block' device='cdrom'>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='network'>
      <source network='default'/>
      <mac address='54:52:00:58:14:81'/>
      <model type='virtio'/>
    </interface>
    <input type='tablet' bus='usb'/>
    <graphics type='vnc' port='-1' keymap='en-us'/>
    <sound model='es1370'/>
  </devices>
</domain>

[Fri, 20 Mar 2009 09:23:58 virt-manager 3809] DEBUG (create:1491) Install completed
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:1265) Trying console login
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:1278) Graphics console configured at vnc://127.0.0.1:5900
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:1291) Starting connect process for 127.0.0.1 5900
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:984) Nothing selected.
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:984) Nothing selected.
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (engine:320) window counter incremented to 2
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:1265) Trying console login
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:1278) Graphics console configured at vnc://127.0.0.1:5900
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:1291) Starting connect process for 127.0.0.1 5900
[Fri, 20 Mar 2009 09:23:59 virt-manager 3809] DEBUG (details:1187) VNC initialized
[Fri, 20 Mar 2009 09:44:45 virt-manager 3809] DEBUG (engine:442) Destroying vm 'mybookvolume2'.
[Fri, 20 Mar 2009 09:44:46 virt-manager 3809] DEBUG (details:1173) VNC disconnected
[Fri, 20 Mar 2009 09:44:49 virt-manager 3809] DEBUG (engine:324) window counter decremented to 1
[Fri, 20 Mar 2009 09:44:50 virt-manager 3809] DEBUG (connection:244) Removing physical net device vnet0 from list.
[Fri, 20 Mar 2009 09:44:50 virt-manager 3809] DEBUG (connection:244) Removing physical net device vnet0 from list.
[Fri, 20 Mar 2009 09:45:17 virt-manager 3809] DEBUG (engine:320) window counter incremented to 2
[Fri, 20 Mar 2009 09:45:41 virt-manager 3809] DEBUG (domain:160) OS Type: hvm
[Fri, 20 Mar 2009 09:45:53 virt-manager 3809] DEBUG (domain:160) OS Type: hvm
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (engine:491) Starting vm 'mybookvolume2'.
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] WARNING (details:1199) Retrying connection in 125 ms
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (manager:483) VM mybookvolume2 started
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (connection:170) Got physical net device /org/freedesktop/Hal/devices/net_86_67_52_03_d9_ab
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (connection:230) Adding net device vnet0 86:67:52:03:d9:ab /sys/class/net/vnet0 (bridge: virbr0)
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (connection:202) Checking for VLANs on /sys/class/net/vnet0
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (connection:170) Got physical net device /org/freedesktop/Hal/devices/net_86_67_52_03_d9_ab
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (connection:230) Adding net device vnet0 86:67:52:03:d9:ab /sys/class/net/vnet0 (bridge: virbr0)
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (connection:202) Checking for VLANs on /sys/class/net/vnet0
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (details:1265) Trying console login
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (details:1278) Graphics console configured at vnc://127.0.0.1:5900
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (details:1291) Starting connect process for 127.0.0.1 5900
[Fri, 20 Mar 2009 09:46:17 virt-manager 3809] DEBUG (details:1187) VNC initialized
[Fri, 20 Mar 2009 09:46:35 virt-manager 3809] DEBUG (engine:505) Shutting down vm 'mybookvolume2'.
[Fri, 20 Mar 2009 09:46:38 virt-manager 3809] DEBUG (engine:442) Destroying vm 'mybookvolume2'.
[Fri, 20 Mar 2009 09:46:38 virt-manager 3809] DEBUG (details:1173) VNC disconnected
[Fri, 20 Mar 2009 09:46:38 virt-manager 3809] WARNING (details:1199) Retrying connection in 125 ms
[Fri, 20 Mar 2009 09:46:38 virt-manager 3809] DEBUG (connection:244) Removing physical net device vnet0 from list.
[Fri, 20 Mar 2009 09:46:38 virt-manager 3809] DEBUG (connection:244) Removing physical net device vnet0 from list.
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] DEBUG (details:1265) Trying console login
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] DEBUG (details:1278) Graphics console configured at vnc://127.0.0.1:-1
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] WARNING (details:1199) Retrying connection in 250 ms
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] DEBUG (details:1265) Trying console login
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] DEBUG (details:1278) Graphics console configured at vnc://127.0.0.1:-1
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] WARNING (details:1199) Retrying connection in 500 ms
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:46:39 virt-manager 3809] WARNING (details:1199) Retrying connection in 1000 ms
[Fri, 20 Mar 2009 09:46:40 virt-manager 3809] DEBUG (engine:324) window counter decremented to 1
[Fri, 20 Mar 2009 09:46:40 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:46:40 virt-manager 3809] WARNING (details:1199) Retrying connection in 2000 ms
[Fri, 20 Mar 2009 09:46:42 virt-manager 3809] DEBUG (engine:491) Starting vm 'mybookvolume2'.
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] WARNING (details:1199) Retrying connection in 125 ms
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (manager:483) VM mybookvolume2 started
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (details:1265) Trying console login
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (details:1278) Graphics console configured at vnc://127.0.0.1:5900
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (details:1291) Starting connect process for 127.0.0.1 5900
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (connection:170) Got physical net device /org/freedesktop/Hal/devices/net_f6_e5_dd_32_b6_95
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (connection:230) Adding net device vnet0 f6:e5:dd:32:b6:95 /sys/class/net/vnet0 (bridge: virbr0)
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (connection:202) Checking for VLANs on /sys/class/net/vnet0
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (connection:170) Got physical net device /org/freedesktop/Hal/devices/net_f6_e5_dd_32_b6_95
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (connection:230) Adding net device vnet0 f6:e5:dd:32:b6:95 /sys/class/net/vnet0 (bridge: virbr0)
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (connection:202) Checking for VLANs on /sys/class/net/vnet0
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (details:1187) VNC initialized
[Fri, 20 Mar 2009 09:46:43 virt-manager 3809] DEBUG (engine:320) window counter incremented to 2
[Fri, 20 Mar 2009 09:48:13 virt-manager 3809] DEBUG (engine:442) Destroying vm 'mybookvolume2'.
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] DEBUG (details:1173) VNC disconnected
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] WARNING (details:1199) Retrying connection in 125 ms
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] DEBUG (connection:244) Removing physical net device vnet0 from list.
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] DEBUG (connection:244) Removing physical net device vnet0 from list.
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] DEBUG (details:1265) Trying console login
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] DEBUG (details:1278) Graphics console configured at vnc://127.0.0.1:-1
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] WARNING (details:1199) Retrying connection in 250 ms
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] WARNING (details:1199) Retrying connection in 500 ms
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:14 virt-manager 3809] WARNING (details:1199) Retrying connection in 1000 ms
[Fri, 20 Mar 2009 09:48:15 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:15 virt-manager 3809] WARNING (details:1199) Retrying connection in 2000 ms
[Fri, 20 Mar 2009 09:48:16 virt-manager 3809] DEBUG (engine:324) window counter decremented to 1
[Fri, 20 Mar 2009 09:48:17 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:17 virt-manager 3809] WARNING (details:1199) Retrying connection in 2000 ms
[Fri, 20 Mar 2009 09:48:19 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:19 virt-manager 3809] WARNING (details:1199) Retrying connection in 2000 ms
[Fri, 20 Mar 2009 09:48:21 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:21 virt-manager 3809] WARNING (details:1199) Retrying connection in 2000 ms
[Fri, 20 Mar 2009 09:48:23 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:23 virt-manager 3809] WARNING (details:1199) Retrying connection in 2000 ms
[Fri, 20 Mar 2009 09:48:25 virt-manager 3809] DEBUG (details:1209) Got timed retry
[Fri, 20 Mar 2009 09:48:25 virt-manager 3809] ERROR (details:1197) Too many connection failures, not retrying again
[Fri, 20 Mar 2009 09:49:03 virt-manager 3809] DEBUG (delete:160) Threading off connection to delete vol.
[Fri, 20 Mar 2009 09:49:03 virt-manager 3809] DEBUG (delete:178) Removing VM 'mybookvolume2'
[Fri, 20 Mar 2009 09:49:05 virt-manager 3809] DEBUG (engine:324) window counter decremented to 0
[Fri, 20 Mar 2009 09:49:05 virt-manager 3809] DEBUG (engine:332) Exiting app normally.

cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
stepping        : 11
cpu MHz         : 1600.000
cache size      : 4096 KB
physical id     : 0
siblings        : 4
core id         : 0
cpu cores       : 4
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm co
nstant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow vnmi flexpriority
bogomips        : 4800.16
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
stepping        : 11
cpu MHz         : 1600.000
cache size      : 4096 KB
physical id     : 0
siblings        : 4
core id         : 2
cpu cores       : 4
apicid          : 2
initial apicid  : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm co
nstant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow vnmi flexpriority
bogomips        : 4800.16
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 2
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
stepping        : 11
cpu MHz         : 1600.000
cache size      : 4096 KB
physical id     : 0
siblings        : 4
core id         : 3
cpu cores       : 4
apicid          : 3
initial apicid  : 3
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm co
nstant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow vnmi flexpriority
bogomips        : 4800.18
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 3
vendor_id       : GenuineIntel
apicid          : 3
initial apicid  : 3
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm co
nstant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow vnmi flexpriority
bogomips        : 4800.18
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 3
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
stepping        : 11
cpu MHz         : 1600.000
cache size      : 4096 KB
physical id     : 0
siblings        : 4
core id         : 1
cpu cores       : 4
apicid          : 1
initial apicid  : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm co
nstant_tsc arch_perfmon pebs bts rep_good pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow vnmi flexpriority
bogomips        : 4800.16
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:
Comment 6 Cole Robinson 2009-04-06 12:26:40 EDT
Fixed upstream:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/c5489151e2e6

Moving to POST.
Comment 7 Cole Robinson 2009-04-13 10:18:49 EDT
This should be in 0.7.0-3.fc11, closing as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.